Installing Liberty

You can install WebSphere® Application Server Liberty by using Installation Manager, by extracting downloaded archive files, or by using the WebSphere Application Server Developer Tools for Eclipse. With all methods, you can also download and install assets from the Liberty Repository.

About this task

New: Liberty now follows a continuous delivery process with a new fix pack numbering scheme. For more information, see What is new in this release of Liberty.
Each installation method offers different benefits.
  • Installation Manager provides managed installations, allows for in-place updates, and is the same tool that is used to install many other IBM® products.
  • Archive files are lightweight, easily customizable, and are better suited for cloud deployments.

The following table compares the available installation methods for WebSphere Application Server Liberty.

Table 1. Comparison of available installation methods
Installation method Installation Manager Archive
Agent-less installation No Yes
Install directly to any fix pack level. Yes Yes
Apply fix packs in place. Yes No
Apply interim fixes in place. Yes Yes
Automated rollback of fix packs and interim fixes Yes No
Upgrade product editions. Yes Yes
Pluggable Java™ SDK provided Yes No, if you want to download an IBM SDK for use with archive installs, see IBM Java SDKs for WebSphere Liberty.
Integrated with developer tools No Yes
Add features in place. Yes Yes
Liberty Repository integration Yes Yes
z/OS® packaging provided Yes No
Minification supported Yes, but the output of the minify command is a new image that can be serviced only with archive procedures. Yes, the output of the minify command is a new image.

Procedure

Install Liberty by using one of the following methods:
  1. Install Liberty using Installation Manager.
    Installing or updating to Liberty fix pack 16.0.0.2 or later requires IBM Installation Manager Version 1.8.5 or later.

    Through version 19.0.0.8, the minimum acceptable version of IBM Installation Manager is 1.8.5.

    As of version 19.0.0.9, the minimum acceptable version of IBM Installation Manager is 1.9.0.

  2. Install Liberty using the downloaded files and archives.
    You can install Liberty from a self-extracting Java archive file or a ZIP archive file.
  3. For distributed platforms Install Liberty developer tools and optionally the Liberty server.
Regardless of the installation method, after you install Liberty, you can install add or remove Liberty assets. For more information, see Install assets from the Liberty Repository.